Delete an OAuth 2.0 configuration
Deletes an existing OAuth 2.0 configuration by specifying its name. Use this endpoint to manage and remove configurations no longer needed for your authentication setup.
HTTP method and endpoint
DELETE /security/authentication/cluster/oauth2/clients/{name}
Introduced in
ONTAP 9.14
Usage notes
Deletes the OAuth 2.0 configuration with the specified name.
Required properties
-
config_name
Related ONTAP commands
-
security oauth2 client delete
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
name |
string |
path |
True |
OAuth 2.0 configuration name. |
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
203816995 |
OAuth 2.0 must be disabled before the configuration can be removed. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |